PageRenderTime 3070ms queryFilters 20ms Sphinxql 2500ms GetByIds 373ms meta 0ms repositoryFilters 26ms languageFilters 54ms sourceFilters 51ms

501,203 results for 'php empty repo:udeshika/fake_twitter' (3070 ms)

Source

Language

Repository

logic.php https://github.com/tjgillies/openmicroblogger.git | PHP | 1,097 lines
1<?php
2/**
66      set_include_path( dirname(__FILE__) . PATH_SEPARATOR . get_include_path() );
67      require_once 'Auth/OpenID/Consumer.php';
68
106    $openid->log->debug('temporary include path for importing = ' . get_include_path());
107    require_once('Auth/OpenID/Discover.php');
108    require_once('Auth/OpenID/DatabaseConnection.php');
108    require_once('Auth/OpenID/DatabaseConnection.php');
109    require_once('Auth/OpenID/MySQLStore.php');
110    require_once('Auth/OpenID/Consumer.php');
505      
506    if ($self == 'wp-login.php' && !empty($_POST['openid_url'])) {
507      // TODO wp_signon only exists in wp2.5+
690    $wpp = parse_url(get_option('siteurl'));
691    $redirect_to = $wpp['path'] . '/wp-admin/' . (current_user_can('edit_users') ? 'users.php' : 'profile.php') . '?page=openid';
692    if (function_exists('wp_safe_redirect')) {
admin.php https://bitbucket.org/broderboy/shannonbroder-wordpress | PHP | 851 lines
146?>
147<?php if ( !empty($_POST['submit'] ) ) : ?>
148<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
224		<td><?php echo htmlspecialchars($ip); ?></td>
225		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
226		
310					<p><?php esc_html_e( $alert['msg'] ); ?></p>
311					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
312				</div>
327		return;
328	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
329		function akismet_warning() {
766function akismet_add_comment_author_url() {
767    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
768        global $wpdb;
admin.php https://bitbucket.org/praveen_excell/opshop | PHP | 851 lines
146?>
147<?php if ( !empty($_POST['submit'] ) ) : ?>
148<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
224		<td><?php echo htmlspecialchars($ip); ?></td>
225		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
226		
310					<p><?php esc_html_e( $alert['msg'] ); ?></p>
311					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
312				</div>
327		return;
328	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
329		function akismet_warning() {
766function akismet_add_comment_author_url() {
767    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
768        global $wpdb;
admin.php https://bitbucket.org/julianelve/vendor-wordpress | PHP | 834 lines
145?>
146<?php if ( !empty($_POST['submit'] ) ) : ?>
147<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
223		<td><?php echo htmlspecialchars($ip); ?></td>
224		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
225		
292					<p><?php esc_html_e( $alert['msg'] ); ?></p>
293					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
294				</div>
309		return;
310	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
311		function akismet_warning() {
749function akismet_add_comment_author_url() {
750    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
751        global $wpdb;
admin.php https://bitbucket.org/opehei/wordpress-trunk | PHP | 851 lines
146?>
147<?php if ( !empty($_POST['submit'] ) ) : ?>
148<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
224		<td><?php echo htmlspecialchars($ip); ?></td>
225		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
226		
310					<p><?php esc_html_e( $alert['msg'] ); ?></p>
311					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
312				</div>
327		return;
328	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
329		function akismet_warning() {
766function akismet_add_comment_author_url() {
767    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
768        global $wpdb;
admin.php https://bitbucket.org/emallove/bedforddavis.com | PHP | 851 lines
146?>
147<?php if ( !empty($_POST['submit'] ) ) : ?>
148<div id="message" class="updated fade"><p><strong><?php _e('Options saved.') ?></strong></p></div>
224		<td><?php echo htmlspecialchars($ip); ?></td>
225		<td style="padding: 0 .5em; font-weight:bold; color: #fff; background-color: <?php echo $color; ?>"><?php echo ($status ? __('Accessible') : __('Re-trying') ); ?></td>
226		
310					<p><?php esc_html_e( $alert['msg'] ); ?></p>
311					<p>More information is available at <a href="https://akismet.com/errors/<?php echo $alert['code']; ?>">https://akismet.com/errors/<?php echo $alert['code']; ?></a></p>
312				</div>
327		return;
328	} elseif ( ( empty($_SERVER['SCRIPT_FILENAME']) || basename($_SERVER['SCRIPT_FILENAME']) == 'edit-comments.php' ) &&  wp_next_scheduled('akismet_schedule_cron_recheck') ) {
329		function akismet_warning() {
766function akismet_add_comment_author_url() {
767    if ( !empty( $_POST['id'] ) && !empty( $_POST['url'] ) && check_admin_referer( 'comment_author_url_nonce' ) ) {
768        global $wpdb;
expressions_parsing.php https://bitbucket.org/jelix/jelix-trunk/ | PHP | 303 lines
92        '@abstract.as.break.case.catch.class.clone@'=>'$t->getLocaleString(\'abstract.as.break.case.catch.class.clone\')',
93        '@const.continue.declare.default.do.echo.else.elseif.empty@'=>'$t->getLocaleString(\'const.continue.declare.default.do.echo.else.elseif.empty\')',
94        '@exit.final.for.foreach.function.global.if.implements.instanceof@'=>'$t->getLocaleString(\'exit.final.for.foreach.function.global.if.implements.instanceof\')',
101    protected $varexprTrustedMode = array(
102        '$aaa.PHP_VERSION'=>'$t->_vars[\'aaa\'].PHP_VERSION',
103    );
166        'isset($t[5])'  =>array('Dans le tag  du template , le code php isset n\'est pas autorisé'),
167        'empty($aa)'    =>array('Dans le tag  du template , le code php empty n\'est pas autorisé'),
168        '$aa == 123'    =>array('Dans le tag  du template , le code php == n\'est pas autorisé'),
174        '$aa >> 123'    =>array('Dans le tag  du template , le code php >> n\'est pas autorisé'),
175        '$aa == false'  =>array('Dans le tag  du template , le code php == n\'est pas autorisé'),
176        '$aa == true'   =>array('Dans le tag  du template , le code php == n\'est pas autorisé'),
194    protected $badvarexprUnTrustedMode = array(
195        '$aaa.PHP_VERSION'=>array('Dans le tag  du template , les constantes (PHP_VERSION) sont interdites'),
196    );
update-core.php git://github.com/markjaquith/WordPress.git | PHP | 1,523 lines
946
947	$php_version       = phpversion();
948	$mysql_version     = $wpdb->db_version();
950	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' ) ); // A dash in the version indicates a development release.
951	$php_compat        = version_compare( $php_version, $required_php_version, '>=' );
952	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) ) {
964		/* translators: %s: URL to Update PHP page. */
965		$php_update_message = '</p><p>' . sprintf( __( '<a href="%s">Learn more about updating PHP</a>.' ), esc_url( wp_get_update_php_url() ) );
966
978			sprintf(
979				/* translators: 1: WordPress version number, 2: Minimum required PHP version number, 3: Minimum required MySQL version number, 4: Current PHP version number, 5: Current MySQL version number. */
980				__( 'The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.' ),
991			sprintf(
992				/* translators: 1: WordPress version number, 2: Minimum required PHP version number, 3: Current PHP version number. */
993				__( 'The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.' ),
update-core.php http://core.svn.wordpress.org/ | PHP | 649 lines
407
408	$php_version    = phpversion();
409	$mysql_version  = $wpdb->db_version();
412	$wp_version = '3.4';
413	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
414	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
422	if ( !$mysql_compat && !$php_compat )
423		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
424	elseif ( !$php_compat )
424	elseif ( !$php_compat )
425		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
426	elseif ( !$mysql_compat )
639<script type="text/javascript">
640window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
641</script>
update-core.php http://core.svn.wordpress.org/ | PHP | 641 lines
404
405	$php_version    = phpversion();
406	$mysql_version  = $wpdb->db_version();
409	$wp_version = '3.3';
410	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
411	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
419	if ( !$mysql_compat && !$php_compat )
420		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
421	elseif ( !$php_compat )
421	elseif ( !$php_compat )
422		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
423	elseif ( !$mysql_compat )
631<script type="text/javascript">
632window.location = '<?php echo admin_url( 'about.php?updated' ); ?>';
633</script>
phpToJS.php git://github.com/phpnode/YiiJS.git | PHP | 1,640 lines
3 * A woefully naive, context unaware PHP to JavaScript token transformer.
4 * Relies on php.js for a lot of the built in PHP functions.
5 * HERE BE DRAGONS!
252		'urlencode' => 'php.urlencode',
253		'empty' => 'php.empty',
254		'gettype' => 'php.gettype',
1414 */
1415class phpClass extends phpBase {
1416	
1512 */
1513class phpProperty extends phpBase {
1514	/**
1547 */
1548class phpMethod extends phpBase {
1549	/**
document.php git://github.com/Dolibarr/dolibarr.git | PHP | 189 lines
1<?php
2/* Copyright (C) 2003-2007 Rodolphe Quiedeville  <rodolphe@quiedeville.org>
29
30require '../../main.inc.php';
31require_once DOL_DOCUMENT_ROOT.'/core/lib/order.lib.php';
31require_once DOL_DOCUMENT_ROOT.'/core/lib/order.lib.php';
32require_once DOL_DOCUMENT_ROOT.'/core/lib/files.lib.php';
33require_once DOL_DOCUMENT_ROOT.'/core/lib/images.lib.php';
33require_once DOL_DOCUMENT_ROOT.'/core/lib/images.lib.php';
34require_once DOL_DOCUMENT_ROOT.'/core/lib/fourn.lib.php';
35require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
35require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
36require_once DOL_DOCUMENT_ROOT.'/fourn/class/fournisseur.commande.class.php';
37if (!empty($conf->projet->enabled)) {
114
115	$linkback = '<a href="'.DOL_URL_ROOT.'/fourn/commande/list.php'.(!empty($socid) ? '?socid='.$socid : '').'">'.$langs->trans("BackToList").'</a>';
116
contact.php git://github.com/Dolibarr/dolibarr.git | PHP | 206 lines
1<?php
2/* Copyright (C) 2005      Patrick Rouillon     <patrick@rouillon.net>
26
27require '../../main.inc.php';
28require_once DOL_DOCUMENT_ROOT.'/fourn/class/fournisseur.commande.class.php';
28require_once DOL_DOCUMENT_ROOT.'/fourn/class/fournisseur.commande.class.php';
29require_once DOL_DOCUMENT_ROOT.'/contact/class/contact.class.php';
30require_once DOL_DOCUMENT_ROOT.'/core/lib/fourn.lib.php';
30require_once DOL_DOCUMENT_ROOT.'/core/lib/fourn.lib.php';
31require_once DOL_DOCUMENT_ROOT.'/core/class/html.formcompany.class.php';
32if (!empty($conf->projet->enabled)) {
32if (!empty($conf->projet->enabled)) {
33	require_once DOL_DOCUMENT_ROOT.'/projet/class/project.class.php';
34}
144
145		$linkback = '<a href="'.DOL_URL_ROOT.'/fourn/commande/list.php'.(!empty($socid) ? '?socid='.$socid : '').'">'.$langs->trans("BackToList").'</a>';
146
note.php git://github.com/Dolibarr/dolibarr.git | PHP | 159 lines
1<?php
2/* Copyright (C) 2004-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
27
28require '../../main.inc.php';
29require_once DOL_DOCUMENT_ROOT.'/core/lib/fourn.lib.php';
29require_once DOL_DOCUMENT_ROOT.'/core/lib/fourn.lib.php';
30require_once DOL_DOCUMENT_ROOT.'/fourn/class/fournisseur.commande.class.php';
31if (!empty($conf->projet->enabled)) {
31if (!empty($conf->projet->enabled)) {
32	require_once DOL_DOCUMENT_ROOT.'/projet/class/project.class.php';
33}
48
49$permissionnote = $user->rights->fournisseur->commande->creer; // Used by the include of actions_setnotes.inc.php
50
90
91		$linkback = '<a href="'.DOL_URL_ROOT.'/fourn/commande/list.php'.(!empty($socid) ? '?socid='.$socid : '').'">'.$langs->trans("BackToList").'</a>';
92
update-core.php git://pkgs.fedoraproject.org/wordpress | PHP | 712 lines
475
476	$php_version    = phpversion();
477	$mysql_version  = $wpdb->db_version();
480	$wp_version = '3.4.1';
481	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
482	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
490	if ( !$mysql_compat && !$php_compat )
491		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
492	elseif ( !$php_compat )
492	elseif ( !$php_compat )
493		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
494	elseif ( !$mysql_compat )
702<script type="text/javascript">
703window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
704</script>
metar.php git://pkgs.fedoraproject.org/horde | PHP | 477 lines
1<?php
2
3if ((@include_once 'Services/Weather.php') &&
4    !empty($GLOBALS['conf']['sql']['phptype'])) {
5    $block_name = _("Metar Weather");
12 *
13 * $Horde: horde/lib/Block/metar.php,v 1.22.10.11 2009/01/16 17:05:59 mrubinsk Exp $
14 *
37    {
38        if (!@include_once 'Services/Weather.php') {
39            Horde::logMessage('The metar block will not work without Services_Weather from PEAR. Run pear install Services_Weather.',
51            // Get locations from the database.
52            require_once 'DB.php';
53            $db = &DB::connect($conf['sql']);
58            // Set DB portability options.
59            switch ($db->phptype) {
60            case 'mssql':
del_entry.php git://pkgs.fedoraproject.org/WebCalendar | PHP | 276 lines
72// user is allowed to delete events from the other user's calendar.
73if ( ! $can_edit && access_is_enabled () && ! empty ( $user ) &&
74    access_user_calendar ( 'edit', $user ) )
91$override_repeat = false;
92if ( ! empty ( $date ) && $event_repeats && ! empty ( $override ) )
93  $override_repeat = true;
163              translate ( 'Date XXX' ) ) . "\n"
164             . ( ! empty ( $eventtime ) && $eventtime != '-1'
165              ? str_replace ( 'XXX', display_time ( '', 2, $eventstart,
258  if ( $ret == 'list' )
259    $url = 'list_unapproved.php' . ( empty ( $user ) ? '' : '?user=' . $user );
260} else
267set_env ( 'TZ', $TIMEZONE );
268if ( empty ( $error ) && empty ( $mailerError ) ) {
269  do_redirect ( $url );
search_handler.php git://pkgs.fedoraproject.org/WebCalendar | PHP | 265 lines
53$users = getValue ( 'users' );
54if ( empty ( $users ) || empty ( $users[0] ) )
55  $search_others = false;
90
91if ( empty ( $users ) || empty ( $users[0] ) )
92  $search_others = false;
121// check if keywords is surrounded by quotes
122// an alternative might be to add a checkbox/list on search.php
123// to indicate Phrase or other mode via an arg
244// now sort by number of hits
245if ( empty ( $error ) && ! empty ( $info ) ) {
246  echo '
256echo '
257      <form action="search.php' . ( ! empty ( $advanced ) ? '?adv=1' : '' )
258        . '"  style="margin-left: 13px;" method="post">
update-core.php https://bitbucket.org/sephora99/kmirock.git | PHP | 640 lines
404
405	$php_version    = phpversion();
406	$mysql_version  = $wpdb->db_version();
409	$wp_version = '3.3.1';
410	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
411	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
419	if ( !$mysql_compat && !$php_compat )
420		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
421	elseif ( !$php_compat )
421	elseif ( !$php_compat )
422		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
423	elseif ( !$mysql_compat )
631<script type="text/javascript">
632window.location = '<?php echo admin_url( 'about.php?updated' ); ?>';
633</script>
update-core.php https://bitbucket.org/NemesisVex/vigilant-media-network.git | PHP | 865 lines
1<?php
2/**
26'wp-admin/import-mt.php',
27'wp-admin/import-rss.php',
28'wp-admin/import-textpattern.php',
642
643	$php_version    = phpversion();
644	$mysql_version  = $wpdb->db_version();
646	$development_build = ( false !== strpos( $old_wp_version . $wp_version, '-' )  ); // a dash in the version indicates a Development release
647	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
648	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
656	if ( !$mysql_compat && !$php_compat )
657		return new WP_Error( 'php_mysql_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version ) );
658	elseif ( !$php_compat )
658	elseif ( !$php_compat )
659		return new WP_Error( 'php_not_compatible', sprintf( __('The update cannot be installed because WordPress %1$s requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version ) );
660	elseif ( !$mysql_compat )
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21